USN-4697-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4697-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4697-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4697-1
Related
Published
2021-01-18T17:22:28.722534Z
Modified
2021-01-18T17:22:28.722534Z
Summary
pillow vulnerabilities
Details

It was discovered that Pillow incorrectly handled certain PCX image files. If a user or automated system were tricked into opening a specially-crafted PCX file, a remote attacker could possibly cause Pillow to crash, resulting in a denial of service. (CVE-2020-35653)

It was discovered that Pillow incorrectly handled certain Tiff image files. If a user or automated system were tricked into opening a specially-crafted Tiff file, a remote attacker could cause Pillow to crash, resulting in a denial of service, or possibly execute arbitrary code. This issue only affected Ubuntu 20.04 LTS and Ubuntu 20.10. (CVE-2020-35654)

It was discovered that Pillow incorrectly handled certain SGI image files. If a user or automated system were tricked into opening a specially-crafted SGI file, a remote attacker could possibly cause Pillow to crash, resulting in a denial of service. This issue only affected Ubuntu 18.04 LTS, Ubuntu 20.04 LTS, and Ubuntu 20.10. (CVE-2020-35655)

References

Affected packages

Ubuntu:20.04:LTS / pillow

Package

Name
pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
7.0.0-4ubuntu0.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-pil.imagetk": "7.0.0-4ubuntu0.2",
            "python-pil-doc": "7.0.0-4ubuntu0.2",
            "python3-pil": "7.0.0-4ubuntu0.2"
        }
    ]
}

Ubuntu:18.04:LTS / pillow

Package

Name
pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.1.0-1ubuntu0.4

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-pil.imagetk": "5.1.0-1ubuntu0.4",
            "python-pil-doc": "5.1.0-1ubuntu0.4",
            "python3-pil": "5.1.0-1ubuntu0.4",
            "python-pil.imagetk": "5.1.0-1ubuntu0.4",
            "python-pil": "5.1.0-1ubuntu0.4"
        }
    ]
}

Ubuntu:16.04:LTS / pillow

Package

Name
pillow

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.1.2-0ubuntu1.5

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "python3-pil.imagetk": "3.1.2-0ubuntu1.5",
            "python-pil-doc": "3.1.2-0ubuntu1.5",
            "python3-pil": "3.1.2-0ubuntu1.5",
            "python-pil.imagetk": "3.1.2-0ubuntu1.5",
            "python-imaging": "3.1.2-0ubuntu1.5",
            "python-pil": "3.1.2-0ubuntu1.5"
        }
    ]
}